Package org.gradle.plugin.devel.tasks

## Class ValidatePlugins

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.plugin.devel.tasks.ValidatePlugins

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

      @CacheableTask
      @Incubating
      public abstract class ValidatePlugins
      extends DefaultTask

  Validates plugins by checking property annotations on work items like tasks and artifact transforms. See the user guide for more information on incremental build and caching task outputs.
  Since:
    6.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidatePlugins()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract ConfigurableFileCollection` | `getClasses()` | The classes to validate.
    `abstract ConfigurableFileCollection` | `getClasspath()` | The classpath used to load the classes under validation.
    `protected abstract org.gradle.api.internal.DocumentationRegistry` | `getDocumentationRegistry()` |
    `abstract Property<Boolean>` | `getEnableStricterValidation()` | Enable the stricter validation for cacheable tasks for all tasks.
    `abstract Property<Boolean>` | `getFailOnWarning()` | Returns whether the build should break when the verifications performed by this task detects a warning.
    `abstract Property<Boolean>` | `getIgnoreFailures()` | Specifies whether the build should break when plugin verifications fails.
    `abstract RegularFileProperty` | `getOutputFile()` | Returns the output file to store the report in.
    `protected abstract WorkerExecutor` | `getWorkerExecutor()` |
    `void` | `validateTaskClasses()` |

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getRequiredServices, getServices, getSharedResources, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString, usesService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidatePlugins

          public ValidatePlugins()

  - ### Method Detail

    - #### validateTaskClasses

          public void validateTaskClasses()
                                   throws IOException

      Throws:
        `IOException`

    - #### getClasses

          @PathSensitive(RELATIVE)
          @InputFiles
          @SkipWhenEmpty
          public abstract ConfigurableFileCollection getClasses()

      The classes to validate.

    - #### getClasspath

          @Classpath
          public abstract ConfigurableFileCollection getClasspath()

      The classpath used to load the classes under validation.

    - #### getIgnoreFailures

          @Input
          public abstract Property<Boolean> getIgnoreFailures()

      Specifies whether the build should break when plugin verifications fails.

    - #### getFailOnWarning

          @Input
          public abstract Property<Boolean> getFailOnWarning()

      Returns whether the build should break when the verifications performed by this task detects a warning.

    - #### getEnableStricterValidation

          @Input
          public abstract Property<Boolean> getEnableStricterValidation()

      Enable the stricter validation for cacheable tasks for all tasks.

    - #### getOutputFile

          @OutputFile
          public abstract RegularFileProperty getOutputFile()

      Returns the output file to store the report in.

    - #### getDocumentationRegistry

          @Inject
          protected abstract org.gradle.api.internal.DocumentationRegistry getDocumentationRegistry()

    - #### getWorkerExecutor

          @Inject
          protected abstract WorkerExecutor getWorkerExecutor()